# buildStandardUrl

fun buildStandardUrl (basePart: String , subpart: String , parameters: QueryParams = emptyMap()): String (source)

Builds a standard URL by combining a base part, subpart, and optional query parameters. The base and subpart are joined with a '/', and query parameters are appended.

#### Return

The complete URL string with query parameters

#### Parameters

basePart

The base part of the URL (e.g., "https://example.com/api")

subpart

The subpart of the URL (e.g., "users")

parameters

Query parameters as a map. Defaults to an empty map

fun buildStandardUrl (basePart: String , subpart: String , parameters: List < QueryParam >): String (source)

Builds a standard URL by combining a base part, subpart, and query parameters as a list. The base and subpart are joined with a '/', and query parameters are appended.

#### Return

The complete URL string with query parameters

#### Parameters

basePart

The base part of the URL (e.g., "https://example.com/api")

subpart

The subpart of the URL (e.g., "users")

parameters

Query parameters as a list of key-value pairs

fun buildStandardUrl (basePart: String , subpart: String , vararg parameters: QueryParam ): String (source)

Builds a standard URL by combining a base part, subpart, and vararg query parameters. The base and subpart are joined with a '/', and query parameters are appended.

#### Return

The complete URL string with query parameters

#### Parameters

basePart

The base part of the URL (e.g., "https://example.com/api")

subpart

The subpart of the URL (e.g., "users")

parameters

Query parameters as vararg key-value pairs